package com.logicbig.example;


import reactor.core.publisher.Flux;
import java.util.function.Consumer;

public class GenerateViaSyncSinkWithLastConsumer {
    public static void main(String[] args) {
        Flux<String> flux = Flux.generate(
                () -> "apple",
                (state, sink) -> {
                    sink.next("other " + state);
                    if (state.length() > 10)
                        sink.complete();
                    return state + " more";
                }, new Consumer<String>() {
                    @Override
                    public void accept(String s) {
                        System.out.println("state consumer-> "+s);
                    }
                });

        flux.subscribe(System.out::println);
    }
}